% File: E2_034A.M
% This file is used for equation 2-34.
resetx;

f = -1:0.1:1;
j = sqrt(-1);
for (n = 1:length(f))
  W(n) = 1/(1 + 2 * pi * f(n) * j);
end;

X = real(W);
Y = imag(W);

subplot(211);
plot(f,X);
xlabel('f');
ylabel('X(f)');

subplot(212);
plot(f,Y);
xlabel('f');
ylabel('Y(f)');
subplot(111);




