% File: E5_102.M

resetx;

R = 6;
l = 3;
Tb = 1/R;
f = 0:0.02:10;

x = l*pi*f*Tb;
PdB = 10*log10(Sa(x).*Sa(x));

% Note that on this plot consecutive points that are below 
% the -30dB point are connected with a straight line 

plot(f,PdB);
axis([min(f) max(f) -30 0]);
xlabel('f');
ylabel('PdB(f)');
title('NOTE: Compare with Fig. 5-33 & E3_053.M');
