% File: E3_073.M

resetx;

r = 0.2;
B = 8;
fo = B/(1+r);
fd = B*r/(1+r);
td = 3/(50*fo);
t = 0:td:50*td;

xo = 2*pi*fo*t;
xd = 2*pi*fd*t;

temp1 = Sa(xo);
he = zeros(length(t),1);

for (i = 1:1:length(t))
  he(i) = 2*fo*temp1(i)*cos(xd(i))/(1-(4*fd*t(i))^2);
end;

plot(t,he);
xlabel('t');
ylabel('he(t)');
title('NOTE: See Fig. 3-26b');
grid;




